Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.navigator.hierarchy
Class HierarchyItemRenderer

    java.lang.Object
      com.tonbeller.wcf.catedit.DefaultItemElementRenderer
          com.tonbeller.jpivot.navigator.hierarchy.HierarchyItemRenderer

All Implemented Interfaces:
  com.tonbeller.wcf.catedit.CategoryModelChangeListener, com.tonbeller.wcf.catedit.ItemElementRenderer, com.tonbeller.wcf.component.RenderListener, com.tonbeller.wcf.controller.RequestListener, java.util.EventListener

    public class HierarchyItemRenderer

extends com.tonbeller.wcf.catedit.DefaultItemElementRenderer

renders a Hierarchy

Author:
  av

Constructor Summary
`HierarchyItemRenderer()`

Method Summary
`org.w3c.dom.Element` | `render(com.tonbeller.wcf.controller.RequestContext context, org.w3c.dom.Document factory, com.tonbeller.wcf.catedit.Category cat, com.tonbeller.wcf.catedit.Item item)`

Methods inherited from class com.tonbeller.wcf.catedit.DefaultItemElementRenderer
`categoryModelChanged, getElementName, request, setElementName, startRendering, stopRendering`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchyItemRenderer

    public HierarchyItemRenderer()

Method Detail

### render

    public org.w3c.dom.Element render(com.tonbeller.wcf.controller.RequestContext context,
                                      org.w3c.dom.Document factory,
                                      com.tonbeller.wcf.catedit.Category cat,
                                      com.tonbeller.wcf.catedit.Item item)

  Specified by:
    `render` in interface `com.tonbeller.wcf.catedit.ItemElementRenderer`
  Overrides:
    `render` in class `com.tonbeller.wcf.catedit.DefaultItemElementRenderer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD